## libnice 0.1.21

=== debian/changelog ===
libnice (0.1.21-1) unstable; urgency=medium

  * New upstream version 0.1.21
  * debian/libnice10.symbols: Add newly exported symbols
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)
  * Drop transition for old debug package migration.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 26 Jan 2023 19:07:33 +0100

=== debian/control ===
Source: libnice
Section: libs
Priority: optional
Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               gobject-introspection (>= 1.30.0),
               libgirepository1.0-dev (>= 1.30.0),
               libglib2.0-dev (>= 2.54),
               libgnutls28-dev (>= 2.12.0),
               libgstreamer1.0-dev,
               libgupnp-igd-1.0-dev (>= 0.2.4),
               meson (>= 0.52)
Build-Depends-Indep: graphviz <!nodoc>,
                     gtk-doc-tools <!nodoc>,
                     libglib2.0-doc <!nodoc>
Standards-Version: 4.6.2
Homepage: https://nice.freedesktop.org/
Vcs-Git: https://salsa.debian.org/telepathy-team/libnice.git
Vcs-Browser: https://salsa.debian.org/telepathy-team/libnice
Rules-Requires-Root: no

Package: libnice10
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: ICE library (shared library)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package provides the nice library.

Package: libnice-dev
Section: libdevel
Architecture: any
Depends: gir1.2-nice-0.1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.48),
         libgnutls28-dev (>= 2.12.0),
         libgupnp-igd-1.0-dev (>= 0.2.4),
         libnice10 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: ICE library (development files)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package provides development files for nice.

Package: gstreamer1.0-nice
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: ICE library (GStreamer plugin)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer1.0.
 .
 This package provides a GStreamer 1.0 plugin for nice.

Package: libnice-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Description: ICE library (documentation)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package contains documentation for libnice.

Package: gir1.2-nice-0.1
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: ICE library (GObject introspection)
 Nice is an implementation of the IETF's draft Interactive Connectivity
 Establishment standard (ICE).  ICE is useful for applications that want to
 establish peer-to-peer UDP data streams. It automates the process of
 traversing NATs and provides security against some attacks.
 .
 Existing standards that use ICE include the Session Initiation Protocol (SIP)
 and the Jingle XMPP extension for audio/video calls.
 .
 Nice includes integration with GStreamer.
 .
 This package provides the GObject introspection binding.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter libnice-doc,$(shell dh_listpackages)))
  BUILD_DOCS:=-Dgtk_doc=enabled
else
  BUILD_DOCS:=-Dgtk_doc=disabled
endif

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- -Dgupnp=enabled \
	                     -Dgstreamer=enabled \
	                     -Dintrospection=enabled \
			     $(BUILD_DOCS)

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://libnice.freedesktop.org/ releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## libnice 0.1.22

=== debian/changelog ===
libnice (0.1.22-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1065492)
  * Use Build-Depends: dh-sequence-gir
  * debian/libnice10.symbols: Add new symbol
  * Enable all hardening flags
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Jan 2025 08:52:38 -0500

libnice (0.1.21-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick proposed patch to switch to gupnp-igd 1.6
  * Switch dependencies to gupnp-igd 1.6

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 07:06:35 -0400

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
            Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               gobject-introspection (>= 1.30.0),
-               libgirepository1.0-dev (>= 1.30.0),
+               dh-sequence-gir,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gio-2.0-dev,
                libglib2.0-dev (>= 2.54),
                libgnutls28-dev (>= 2.12.0),
                libgstreamer1.0-dev,
-               libgupnp-igd-1.0-dev (>= 0.2.4),
+               libgupnp-igd-1.6-dev,
                meson (>= 0.52)
 Build-Depends-Indep: graphviz <!nodoc>,
                      gtk-doc-tools <!nodoc>,
                      libglib2.0-doc <!nodoc>
-Standards-Version: 4.6.2
-Homepage: https://nice.freedesktop.org/
+Standards-Version: 4.7.0
+Homepage: https://libnice.freedesktop.org/
 Vcs-Git: https://salsa.debian.org/telepathy-team/libnice.git
 Vcs-Browser: https://salsa.debian.org/telepathy-team/libnice
 Rules-Requires-Root: no
@@ -45,10 +46,11 @@
 Depends: gir1.2-nice-0.1 (= ${binary:Version}),
          libglib2.0-dev (>= 2.48),
          libgnutls28-dev (>= 2.12.0),
-         libgupnp-igd-1.0-dev (>= 0.2.4),
+         libgupnp-igd-1.6-dev,
          libnice10 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${gir:Depends},
+         ${misc:Depends}
+Provides: ${gir:Provides},
 Multi-Arch: same
 Description: ICE library (development files)
  Nice is an implementation of the IETF's draft Interactive Connectivity
@@ -84,7 +86,7 @@
 Package: libnice-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Description: ICE library (documentation)
@@ -103,7 +105,7 @@
 Package: gir1.2-nice-0.1
 Section: introspection
 Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: ICE library (GObject introspection)
  Nice is an implementation of the IETF's draft Interactive Connectivity

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 ifneq (,$(filter libnice-doc,$(shell dh_listpackages)))
   BUILD_DOCS:=-Dgtk_doc=enabled
@@ -7,7 +11,7 @@
 endif
 
 %:
-	dh $@ --with gir
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Dgupnp=enabled \

## libnice 0.1.23

=== meson_options.txt ===
option('gupnp', type: 'feature', value: 'auto',
  description: 'Enable or disable GUPnP IGD support')
option('gstreamer', type: 'feature', value: 'auto',
  description: 'Enable or disable build of GStreamer plugins')
option('ignored-network-interface-prefix', type: 'array', value: ['docker', 'veth', 'virbr', 'vnet'],
  description: 'Ignore network interfaces whose name starts with a string from this list in the ICE connection check algorithm. For example, "virbr" to ignore virtual bridge interfaces added by virtd, which do not help in finding connectivity.')
option('crypto-library', type: 'combo', choices : ['auto', 'gnutls', 'openssl'], value : 'auto')

# Common feature options
option('glib_debug', type : 'feature', value : 'auto', yield : true,
  description : 'Enable GLib debug infrastructure (see docs/macros.txt)',
)
option('glib_assert', type : 'boolean', value : true, yield : true,
  description : 'Enable GLib assertion (see docs/macros.txt)',
)
option('glib_checks', type : 'boolean', value : true, yield : true,
  description : 'Enable GLib checks such as API guards (see docs/macros.txt)',
)
option('examples', type : 'feature', value : 'auto', yield : true,
  description: 'Build examples')
option('tests', type : 'feature', value : 'auto', yield : true,
  description: 'Enable or disable unit tests')
option('gtk_doc', type : 'feature', value : 'disabled', yield : true,
  description: 'Generate API documentation with gtk-doc')
option('introspection', type : 'feature', value : 'auto', yield : true,
  description : 'Generate gobject-introspection bindings')

=== debian/changelog ===
libnice (0.1.23-2) unstable; urgency=medium

  * Team upload
  * Temporarily restore Priority: optional to ease backporting

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Jan 2026 11:47:57 -0500

libnice (0.1.23-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add debian/upstream/metadata
  * debian/watch: Convert to Version: 5
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Jan 2026 08:26:13 -0500

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,22 @@
                dh-sequence-gir,
                gir1.2-gobject-2.0-dev,
                gir1.2-gio-2.0-dev,
-               libglib2.0-dev (>= 2.54),
-               libgnutls28-dev (>= 2.12.0),
+               libglib2.0-dev,
+               libgnutls28-dev,
                libgstreamer1.0-dev,
                libgupnp-igd-1.6-dev,
-               meson (>= 0.52)
+               meson
 Build-Depends-Indep: graphviz <!nodoc>,
                      gtk-doc-tools <!nodoc>,
                      libglib2.0-doc <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://libnice.freedesktop.org/
 Vcs-Git: https://salsa.debian.org/telepathy-team/libnice.git
 Vcs-Browser: https://salsa.debian.org/telepathy-team/libnice
-Rules-Requires-Root: no
 
 Package: libnice10
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: ICE library (shared library)
  Nice is an implementation of the IETF's draft Interactive Connectivity
@@ -44,8 +42,8 @@
 Section: libdevel
 Architecture: any
 Depends: gir1.2-nice-0.1 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.48),
-         libgnutls28-dev (>= 2.12.0),
+         libglib2.0-dev,
+         libgnutls28-dev,
          libgupnp-igd-1.6-dev,
          libnice10 (= ${binary:Version}),
          ${gir:Depends},

=== debian/watch ===
Version: 5
Source: https://libnice.freedesktop.org/
Matching-Pattern: releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.asc/
